Subject: Re: [PATCH] mm/memcontrol: Add the drop_cache interface for cgroup v2

From: Chris Down <[email-masked]>
Date: Mon, 21 Sep 2020 11:42:57 +0100

Michal Hocko writes:
>On Mon 21-09-20 16:02:55, [email-masked] wrote:
>> From: Chunxin Zang <[email-masked]>
>>
>> In the cgroup v1, we have 'force_mepty' interface. This is very
>> useful for userspace to actively release memory. But the cgroup
>> v2 does not.
>>
>> This patch reuse cgroup v1's function, but have a new name for
>> the interface. Because I think 'drop_cache' may be is easier to
>> understand :)
>
>This should really explain a usecase. Global drop_caches is a terrible
>interface and it has caused many problems in the past. People have
>learned to use it as a remedy to any problem they might see and cause
>other problems without realizing that. This is the reason why we even
>log each attempt to drop caches.
>
>I would rather not repeat the same mistake on the memcg level unless
>there is a very strong reason for it.

I agree with Michal. We already have ways to do best-effort memory release on 
cgroup v2, primarily with memory.high. Singling out a category of memory for 
reclaim has historically proved to be a fool's errand.